# Docker for Orbeon

*A naive attempt to build docker images for Orbeon Forms*

## Currently working

To create an image of Orbeon CE using its embedded eXist database as its persistence layer:

```
$ docker-compose -f docker-compose-ce.yml -f docker-compose-embedded-exist.yml up
```

To create an image of Orbeon PE using its embedded eXist database as its persistence layer:

```
$ cp <my-licence-file> secrets/license.xml
$ docker-compose -f docker-compose-pe.yml -f docker-compose-embedded-exist.yml up
```

To create an image of Orbeon CE using a MySQL image as its persistence layer:

```
$ cp <mysql-jdbc-driver> mysql/tomcat/lib/
$ docker-compose -f docker-compose-ce.yml -f docker-compose-mysql.yml up
```

To create an image of Orbeon PE using a MySQL image as its persistence layer:

```
$ cp <mysql-jdbc-driver> mysql/tomcat/lib/
$ cp <my-licence-file> secrets/license.xml
$ docker-compose -f docker-compose-pe.yml -f docker-compose-mysql.yml up
```

## TODO

* Download the MySQL JDBC driver at build time
* Download the Orbeon MySQL database create script at build time
* Support other persistence layers
* Use secrets for database credentials
* Support modes, authentication, ...
* Add user directories 
* ...


